Bug 179908 - Satellite Installer: Should wait until tomcat starts before we exit cmd line
Satellite Installer: Should wait until tomcat starts before we exit cmd line
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
410
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McCune
Corey Welton
:
Depends On:
Blocks: 171660
  Show dependency treegraph
 
Reported: 2006-02-03 15:02 EST by Mike McCune
Modified: 2007-08-06 12:56 EDT (History)
1 user (show)

See Also:
Fixed In Version: rhn410
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-19 15:12:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McCune 2006-02-03 15:02:30 EST
Often times users try to go to the createfirstuser page once the command line
installer is finished.  But most of the time tomcat isn't started yet.

We should wait until tomcat is started before the installer exits:

 if (grep "STARTED" /var/log/tomcat/catalina.out)
     print "Installation finished"
Comment 1 Mike McCune 2006-04-11 17:30:25 EDT
moving to ON_QA
Comment 2 Mike McCune 2006-04-11 17:42:01 EDT
TESTPLAN:

1) Run through installer
2) on the last step as soon as it indicates:  

   Visit https://blah to create the satellite administrator account.
   
   Click the URL and verify that you get the Create First User page instead of a 
   500 error.

Comment 3 Mike McCune 2006-04-11 17:48:22 EDT
moving to ON_QA for real this time.
Comment 4 Beth Nackashi 2006-04-22 14:46:50 EDT
cwelton is QA contact for satellite installer
Comment 5 Corey Welton 2006-05-12 16:21:41 EDT
QA Verified that user gets First User page rather than ISE after notified to go
to $URL.
Comment 6 Beth Nackashi 2006-07-19 15:12:56 EDT
moving to closed - currentrelease

Note You need to log in before you can comment on or make changes to this bug.